JS and CSS Script Optimizer not compatible with Upfront Theme Editor

Hello,
The plugin JS and CSS Script Optimizer is not compatible with the Upfront theme editor. All it does is open the theme, the editor never loads.

Plugin: https://wordpress.org/plugins/js-css-script-optimizer/

Just thought someone on the dev team might want to know.
Thanks.